import 'package:hub/shared/helpers/base_storage.dart';
import 'package:hub/shared/helpers/storage_helper.dart';

import '/flutter_flow/flutter_flow_util.dart';
import 'local_profile_component_widget.dart' show LocalProfileComponentWidget;
import 'package:flutter/material.dart';

///

class LocalProfileComponentModel extends FlutterFlowModel<LocalProfileComponentWidget> {
  String cliName = '';
  String cliUUID = '';
  VoidCallback? setStateCallback;

  @override
  void initState(BuildContext context) {
    getData();
  }

  Future<void> getData() async {
    cliName = (await StorageHelper().get(SQLiteStorageKey.clientName.value, Storage.SQLiteStorage)) ?? '';
    cliUUID = (await StorageHelper().get(SQLiteStorageKey.clientUUID.value, Storage.SQLiteStorage)) ?? '';
    setStateCallback?.call();
  }

  @override
  void dispose() {}
}
